﻿--Title: Lei Shen Coordinator
--Version: 1.02-50300
--Author: Lazare


 local markerIndexes = {
    bluesquare = 1,
    greentriangle = 2,
    purplediamond = 3,
    redcross = 4,
    yellowstar = 5,
}
 
function LeiShenCoordinator_MarkerOnLoad(self, marker)
	local index = markerIndexes[marker]
    
    -- Set world marker on left-click:
    self:SetAttribute("type1", "worldmarker")
    self:SetAttribute("marker1", index)
    self:SetAttribute("action1", "set")
    
    -- Clear world marker on right-click:
    self:SetAttribute("type2", "worldmarker")
    self:SetAttribute("marker2", index)
    self:SetAttribute("action2", "clear")
end


local function debug(msg)
  if addon.debug then
    print(addonName..": "..msg)
  end
end


function LeiShenCoordinator_Button1_OnClick()
	DEFAULT_CHAT_FRAME:AddMessage("Make sure there is one healer at least per group. Separate your tanks also. Set a world marker for each corner: (Blue {square}, Red {cross}, Green {triangle}, Purple {diamond} are used in this addon.");
	DEFAULT_CHAT_FRAME:AddMessage("The buttons listed are for the areas that have ben destroyed. So if (Blue {square} conduit has been destroyed, then in the Transition phase click the Blue Destroyed button. The same applies for the rest."); 
end

--failing Lua coding for clearing markers
--function LeiShenCoordinator_Button2b_OnClick()
--    SetAttribute("type1", "macro")
--    SetAttribute("macrotext", "/cwm all")
--    DEFAULT_CHAT_FRAME:AddMessage("this works?")
--end

--ReadyCheck
function LeiShenCoordinator_Button2h_OnClick() 
	if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
			DoReadyCheck()
		else
			UIErrorsFrame:AddMessage("Lei Shen Coordinator: You need to be leader or assistant to do this", 1.0, 0.0, 0.0, 53, 15);
		end
end

--phase 1
function LeiShenCoordinator_Button3_OnClick()
	if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
		SendChatMessage('GRP 1 {square},  GRP 2 {cross}, GRP 3 {triangle}, GRP 4 {diamond}, GRP 5 SPREAD OUT' , "RAID_WARNING", nil, id);
	else
		UIErrorsFrame:AddMessage("Lei Shen Coordinator: You need to be leader or assistant to do this", 1.0, 0.0, 0.0, 53, 15);
	end
end

--Blue Destroyed
function LeiShenCoordinator_Button4_OnClick()
	if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
		SendChatMessage('BLUE DESTROYED! - GRP 2 {cross}, GRP 3 {triangle}, GRP 4 {diamond}, GRP 5 and 1 SPREAD OUT....', "RAID_WARNING", nil, id);
	else
		UIErrorsFrame:AddMessage("Lei Shen Coordinator: You need to be leader or assistant to do this", 1.0, 0.0, 0.0, 53, 15);
	end
end

--Green Destroyed
function LeiShenCoordinator_Button5_OnClick()
	if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
		SendChatMessage('GREEN DESTROYED! - GRP 1 {square},  GRP 2 {cross}, GRP 4 {diamond}, GRP 5 and 3 SPREAD OUT....', "RAID_WARNING", nil, id);
	else
		UIErrorsFrame:AddMessage("Lei Shen Coordinator: You need to be leader or assistant to do this", 1.0, 0.0, 0.0, 53, 15);
	end
end

--Red Destroyed
function LeiShenCoordinator_Button6_OnClick()
	if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
		SendChatMessage('RED DESTROYED! - GRP 1 {square}, GRP 3 {triangle}, GRP 4 {diamond}, GRP 5 and 2  SPREAD OUT....', "RAID_WARNING", nil, id);
	else
		UIErrorsFrame:AddMessage("Lei Shen Coordinator: You need to be leader or assistant to do this", 1.0, 0.0, 0.0, 53, 15);
	end
end

--Purple Destroyed
function LeiShenCoordinator_Button7_OnClick()
	if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
		SendChatMessage('PURPLE DESTROYED! - GRP 1 {square},  GRP 2 {cross}, GRP 3 {triangle}, GRP 5 and 4 SPREAD OUT....', "RAID_WARNING", nil, id); 
	else
		UIErrorsFrame:AddMessage("Lei Shen Coordinator: You need to be leader or assistant to do this", 1.0, 0.0, 0.0, 53, 15);
		end
end

 

-----------------------------Event-functions-----------------------------
-------------------------------------------------------------------------
SLASH_LEISHEN1 = "/leishen"
SLASH_LEISHEN2 = "/lsc"
local function handler(msg, editbox)
 if msg == "c" or msg == "close" then
  LeiShenFrame:Hide();
  elseif msg == "h"  or msg == "help" then
		DEFAULT_CHAT_FRAME:AddMessage("Lei Shen Coordinator slash commands:");
		DEFAULT_CHAT_FRAME:AddMessage("/lsc or /leishen  Opens main window");
		DEFAULT_CHAT_FRAME:AddMessage("/lsc h  or /lsc help (or /leishen h  or /leishen help)  Prints this Help");
		DEFAULT_CHAT_FRAME:AddMessage("/lsc c  or /lsc close (or /leishen c  or /leishen close)  Closes main window");
elseif msg == "" then
  LeiShenFrame:Show()
 end
end
SlashCmdList["LEISHEN"] = handler; -- Also a valid assignment strategy

